List guardrails
curl --request GET \
--url https://openrouter.ai/api/v1/guardrails \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/guardrails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/guardrails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"allowed_models": null,
"allowed_providers": [
"openai",
"anthropic",
"google"
],
"created_at": "2025-08-24T10:30:00Z",
"description": "Guardrail for production environment",
"enforce_zdr": false,
"id": "550e8400-e29b-41d4-a716-446655440000",
"ignored_models": null,
"ignored_providers": null,
"limit_usd": 100,
"name": "Production Guardrail",
"reset_interval": "monthly",
"updated_at": "2025-08-24T15:45:00Z",
"workspace_id": "0df9e665-d932-5740-b2c7-b52af166bc11"
}
],
"total_count": 1
}{
"error": {
"code": 401,
"message": "Missing Authentication header"
}
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}Guardrails
List guardrails
List all guardrails for the authenticated user. Management key required.
GET
/
guardrails
List guardrails
Authorizations
API key as bearer token in Authorization header
Query Parameters
Number of records to skip for pagination
Required range:
x >= 0Example:
0
Maximum number of records to return (max 100)
Required range:
1 <= x <= 100Example:
50
Filter guardrails by workspace ID. By default, guardrails in the default workspace are returned.
Example:
"0df9e665-d932-5740-b2c7-b52af166bc11"
⌘I